For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate ATS Candidate
      • POSTCreate candidate tags
      • GETRetrieve paginated list of ATS Candidates
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAts Candidates

Create candidate tags

POST
/ats/candidates/:candidate_id/tags
POST
/rest/v2/ats/candidates/:candidate_id/tags
$curl -X POST https://api.letsdeel.com/rest/v2/ats/candidates/c3d4e5f6-a7b8-9012-cdef-123456789012/tags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "tag_ids": [
> "string"
> ]
>}'
1{
2 "data": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
5 "tag_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
6 "created_at": "2026-02-26T12:00:00.000Z",
7 "candidate_id": "c3d4e5f6-a7b8-9012-cdef-123456789012"
8 }
9 ]
10}

Replaces all existing tags on a candidate with the provided set of tag_ids. This is a full replacement — any tags not included in the request body will be removed. Token scopes: ats:write

Was this page helpful?
Previous

Retrieve paginated list of ATS Candidates

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

candidate_idstringRequiredformat: "uuid"
The unique identifier of the candidate.

Request

This endpoint expects an object.
tag_idslist of stringsRequired
List of tag IDs to associate with the candidate

Response

Successfully created
datalist of objects

List of created candidate-tag associations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication